[project]
name = "dungeon-masters-vault"
version = "0.1.0"
description = "RAG application to help you with your DnD Notes."
readme = "README.md"
requires-python = ">=3.14"
dependencies = [
    "dspy>=3.1.2",
    "faiss-cpu>=1.13.2",
    "langchain>=1.2.7",
    "langchain-community>=0.4.1",
    "langchain-text-splitters>=1.1.0",
    "python-dotenv>=1.2.1",
    "pyturso>=0.4.3",
    "sentence-transformers>=5.2.2",
]

[tool.ruff]
# Latest PEP standards configuration
target-version = "py314"
line-length = 100
indent-width = 4

[tool.ruff.lint.mccabe]
max-complexity = 10

[tool.ruff.format]
# Use double quotes for strings
quote-style = "double"
# Use 4 spaces for indentation
indent-style = "space"
# Skip magic trailing commas
skip-magic-trailing-comma = false
# Automatically detect line ending
line-ending = "auto"
